Questions about software packages, installing them, removing them, updating them and finding them.

learn more… | top users | synonyms (1)

1
vote
0answers
167 views

Installing objdump on Ubuntu that recognizes mach-o binaries?

Anyone know how to install a version binutils on Ubuntu that has an objdump that can recognize a mach-o binary? Currently when I run, objdump -P load binary, I get objdump: /path/to/binary: File ...
0
votes
1answer
325 views

Installing finger on ubuntu

while executing finger command it is showing E:unable to locate finger package..I don't know how to get this package.Help me to solve this.
0
votes
0answers
271 views

installing libboost-all-dev on ubuntu 12.04

I am using ubuntu 12.04. I have to install libboost but I could not do this. I can not install neither for software center nor using sudo. Software Center says: This error could be caused by ...
1
vote
2answers
2k views

How do I install gfortran?

I am trying to install gfortran in my computer with Ubuntu 12.04 by using these commands, sudo -i apt-get update apt-get install gfortran but I found the program saying "unable to locate package ...
3
votes
1answer
279 views

What are the risks / advantages of working with a mainline kernel?

I'm currently on ubuntu 13.04. It's using 3.8 kernel. Is it possible to install 3.11.5 kernel downloaded from the website www.kernel.org what is the improvement in such new kernel? Is there a easy ...
0
votes
2answers
72 views

Why does distro matter? [closed]

From my understanding of Linux, all distros are are just a bunch of pre-packaged packages. In theory, couldn't I start with Ubuntu and eventually turn it into something similar to #! only by ...
1
vote
4answers
218 views

How can I install Ubuntu without an internet connection?

I do not have a very fast internet connection, so ideally I want to download Ubuntu with all of the packages I require so I can install them all from CD/DVD/USB without the need to use my internet ...
0
votes
1answer
20 views

Broken packages because of trying to install Adobe ConnectAddIn [duplicate]

On 13.04 I tried to install Adobe ConnectAddIn, but now I have broken packages all because of it. I have tried sudo apt-get install -f, and removed the .deb file, but still I have 4 broken packages, ...
-1
votes
1answer
247 views

fatal error: log4cxx/logger.h: No such file or directory

I am getting this error whenever I am compiling my c++ code from command line. fatal error: log4cxx/logger.h: No such file or directory Is there any easy way to download the log4cxx package from the ...
0
votes
0answers
30 views

How to install libba53 package?

I am using Ubuntu 12.04 on Dell Inspiron. I want to install a software for which I need libba53 package. The following command was given for this but it did not work: cd a53/trunk sudo make install ...
0
votes
0answers
55 views

How to avoid installing custom packages twice on Ubuntu 12.04

I have created a custom packages using dpkg --build . In the DEBIAN dir I have placed all the required files for package installation namely control,preinst,postinst,prerm etc. When I try to ...
-6
votes
2answers
39 views

Why can't I find ubuntu-restriced-extras in the menu?

So I installed the restricted extras but I can't open them nor find them anywhere. I've typed it in the search bar..still nothing. It says its installed but I can't find it anywhere.
1
vote
1answer
1k views

php5-fpm : Depends: php5-common (= 5.3.10-1ubuntu3.8) but 5.4.6-1ubuntu1.4 is to be installed

I want to set up PHP behind Nginx with FastCGI but I stuck on the sudo apt-get -f install php5-fpm what i've tried: sudo apt-get -f install php5-fpm Reading package lists... Done Building ...
0
votes
1answer
250 views

package operation fail, what can I do please?

installArchives() failed: (Reading database ... (Reading database ... 5%% (Reading database ... 10%% (Reading database ... 15%% (Reading database ... 20%% (Reading database ... 25%% (Reading database ...
1
vote
1answer
97 views

How do I install the default unity-lens packages?

So I did something stupid and got rid of the default Unity Lenses. How would I restore those?
1
vote
1answer
38 views

Is it possible to know from apt if the package was installed explicitly or as a dependency of another package?

Let's say there are A, B and C package. A and C were installed manually with apt-get install, and B is a dependency of A and was installed by apt automatically. Is it possible to know that with some ...
1
vote
1answer
3k views

'mount: error while loading shared libraries: libudev.so.0 : no such file or directory' error while booting

I was trying to load a version of CGminer which was returning a libudev type error, and followed a supposed solution here but it destroyed my system (so it seems). I loaded the system in recovery ...
1
vote
3answers
3k views

Package operation failed Errors were encountered while processing: xserver-common-lts-raring

Before starting with my problem description, I would like to say that this is my very first time using Ubuntu or anything related to Linux! Now my question! I have installed the very last ...
2
votes
1answer
73 views

Is there a way to search unofficial repositories in launchpad?

I was wondering if this STDIN Plasmoid had been packaged by someone, so I googled for it. It seemed like it has been packaged as plasma-widget-stdin. However, this (unofficial) ppa also contained a ...
0
votes
0answers
52 views

Bad translation package when using apt-get install [duplicate]

I've recently install a copy of Ubuntu 13.10 from a USB drive, and a lot of things are going wrong. My first indicator of this was that Ubuntu Software Center crashes every time I try to load it. ...
0
votes
1answer
55 views

Is it possible to install newest version of Python via apt-get?

I started a programming course which requires Python 3.3.2. However, in my Ubuntu I can install only version 3.3.1. Is it possible to modify the repositories so that I can install the newest version?
1
vote
1answer
233 views

how to install libmysqld-dev on ubuntu 12.04?

When I enter the command: sudo apt-get install libmysqld-dev I get this message: Reading package lists... Done Building dependency tree Reading state information... Done Some packages could ...
2
votes
1answer
1k views

Getting ia32-libs-gtk

I am testing Ubuntu 13.04 ARM on my Android phone. I want to try using Cisco Packet Tracer, I have installed it but it needs ia32-libs-gtk package to work. I tried to do sudo dpkg --add-architecture ...
0
votes
4answers
122 views

Is there deb packages that display license agreement?

Could you please list some deb packages that show license agreement and ask to accept it? I would like to learn their internals.
0
votes
0answers
112 views

Package system is broken(Primus)

stasik@stasik-TWH:~$ sudo apt-get -f install Reading package lists... Done Building dependency tree Reading state information... Done Correcting dependencies... Done The following packages were ...
1
vote
2answers
353 views

How do I pin the lowlatency kernels so apt doesn't update with a newer generic kernel?

I'm on Kubuntu 12.04 with lts-raring HWE stack. I'm running kernel 3.8.0.30.18 low latency. A recent update replaced my low latency kernel with a slightly newer (3.8.0.31) generic kernel. I wish to ...
5
votes
0answers
210 views

Can I set the gold linker as the default one in saucy?

Previously, the /usr/bin/ld symlink was pointing to ld.gold when the binutils-gold package was installed. Gold now comes with the binutils package itself, and it installs the /usr/bin/ld symlink ...
2
votes
1answer
195 views

Error installing Ubuntu software - Package dependencies cannot be resolved

I switched to Ubuntu from Windows, but I am not able to install any software on it. Whenever I install it gives the following error : Package dependencies cannot be resolved This error could be ...
0
votes
1answer
126 views

Install i386 package on armhf system?

Is it possible? And if yes, how to install them properly?
2
votes
3answers
67 views

How to conveniently find local HTML documentation?

There are many doc packages in the repositories which provide documentation in HTML. Is there an easy way to find locally installed HTML documentation, like info or man? I guess I should clarify ...
0
votes
1answer
1k views

Unable find package linux-header-3.2.46

Linux-header package is not installed. root@pc-4:~# apt-cache policy linux-headers-3.2.46 N: Couldn't find any package by regex 'linux-headers-3.2.46' root@pc-4:~# root@pc-4:~# Unable to install ...
0
votes
1answer
24 views

Installing with source and package

I recently installed mysql and apache from source, and php using apt-get. I wanted to install php with source, so I removed php package but accidentally removed packages named "mysql-common ...
4
votes
1answer
34 views

What does “imagemagick [security]" mean in the online package list?

If I search for the package "imagemagick" in http://packages.ubuntu.com/ it gives me the result and the word security written like this: [security]. Does it mean it is in the main repository? Another ...
0
votes
1answer
30 views

If I only have the main repository enabled will it cause dependency problems with universe, restricted and multiverse?

I have a questiong regarding installation of packages using Software Center. If I choose only main repository and istall a package could I get problems if the package has dependency to another ...
0
votes
0answers
45 views

Unable to upgrade to ubuntu 12.04

I have attempted few times to upgrade to ubuntu 12.04, but the message that keeps popping up is of some broken package (I got no clue as to what it means) and unable to get exclusive lock. I tried to ...
0
votes
0answers
10 views

How to Fix ‘Requires installation of untrusted packages’ error in Ubuntu 1304 [duplicate]

I tried installing application fom App store , and I got the Requires installation of untrusted packages error.
2
votes
1answer
406 views

How can I install pygame 1.9.2 on ubuntu 13.04?

The python-pygame package contains version 1.9.1release, but I need features from 1.9.2. Is there a PPA available for the latest pygame release? Thanks in advance!
0
votes
2answers
231 views

I am trying to remove OpenOffice to go back to LibreOffice, but I keep getting an error message

I am trying to remove OpenOffice and go back to LibreOffice but I keep getting this error message: The following packages have unmet dependencies: libreoffice-core : Depends: libreoffice-common ...
0
votes
1answer
252 views

Unable to install software via Software Center, in sudoers, but not included in users listed

I'm a sudoer on my workstation and also have the root password, but the Ubuntu Software Center doesn't let me install as it only lists a bunch of other users that are able to authenticate. How do I ...
1
vote
2answers
590 views

Broken packages and can't run -f install

After I installed codeblocks it started giving me error I'm getting loads of errors. I'm new to Ubuntu( from windows) sudo dpkg --configure -a dpkg: dependency problems prevent configuration of ...
0
votes
1answer
463 views

Package dependencies cannot be resolved help [duplicate]

This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which are not allowed to be ...
0
votes
0answers
516 views

NS2 Package not located in Ubuntu 13.04

i have installed ns2 on ubuntu 12.04 and there never have been any problem. Now with 13.04, it gives this message "unable to locate the package: ns2" . Whether i try it through software centre or ...
0
votes
1answer
553 views

How to configure apt to access a deb repository over ssh?

I have a deb repository accessible with ssh (following instructions from this site). I use the ssh-public-key-based authentication to access the repository server. How I can configure apt-get on ...
2
votes
0answers
42 views

Is universe checked by the Ubuntu Security team?

I have a generall question regarding the Ubuntu universe repository. Does anybody know if they are checked by Ubuntu Security Team? Will they move or delete packages if any problem is encountered ...
0
votes
2answers
845 views

What Package is '/usr/sbin/apache2' part of?

After I installed Apache trough the command sequence you can find below, it gave me an error: /usr/sbin/apache2ctl: 171: /usr/sbin/apache2ctl: /usr/sbin/apache2: not found. After some Googling I found ...
0
votes
2answers
3k views

E: The method driver /usr/lib/apt/methods/https could not be found

I tried using sudo apt-get install apt-transport-https but it doesn't work for me. sudo apt-get update E: The method driver /usr/lib/apt/methods/https could not be found. sudo apt-get install ...
0
votes
0answers
35 views

Why apt-get doesn't download from local repository? [duplicate]

I have created a local repository using following command and places in /usr/local/myrepository: dpkg-scanpackages . /dev/null | gzip -9c > Packages.gz Packages.gz was successfully created. Then ...
4
votes
2answers
4k views

How do I list all installed packages with specific version numbers?

I would like to list all the installed packages, with specific version numbers on my system. I checked out dpkg --get-selections (How to list all installed packages?) but it doesn't show me what I ...
0
votes
1answer
251 views

Unable to open Ubuntu software center, Synaptic manager or install updates

I cannot open Ubuntu Software Center, Synaptic Package Manager or install any updates. Below is what I get; An error occurred, please run Package Manager from the right -click menu or apt get in a ...
0
votes
1answer
3k views

How do I fix broken packages? [duplicate]

I have a problem with apt. When I try to update or upgrade Ubuntu, I receive an error telling me that I have dependency problems, and I can't go on. I've tried to solve the problem with apt-get ...